
Redmine - Defect #8794

Circular loop when using relations and subtasks

2011-07-12 15:30 - Dmitriy Nikitin

Status: Closed Start date: 2011-07-12

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version: 1.2.1

Description

On latest 1.2.1 release, if we will create four issues (1,2,3,4) and make the following relations:

2 follows 1

2 is a subtask of 3

4 follows 3

4 is a subtask of 1

the system will go into infinite loop, when the last dependency is created.

Is it possible to notify the user this is not allowed, or may be avoid the infinite loop?

Associated revisions

Revision 11641 - 2013-03-17 16:02 - Jean-Philippe Lang

Fixed: Circular loop when using relations and subtasks (#8794).

Revision 11642 - 2013-03-17 16:17 - Jean-Philippe Lang

Code cleanup.

Revision 11656 - 2013-03-19 19:40 - Jean-Philippe Lang

Merged r11641 and r11642 from trunk (#8794).

History

#1 - 2011-07-12 16:27 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2011-07-12 16:27 - Etienne Massip

Not confirmed yet.

#3 - 2011-07-12 20:44 - Etienne Massip

Now confirmed. Looping stack trace is as follow :

etc.

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:196    

C:/Aptana RadRails/ailleurs/redmine/app/models/issue.rb:813    

C:/Aptana RadRails/ailleurs/redmine/app/models/issue.rb:777    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:178    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:178    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:166    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:93    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:92    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:92    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:276    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/callbacks.rb:344    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/callbacks.rb:251    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/base.rb:2577    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/validations.rb:1090    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/dirty.rb:79    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:229    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:229    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:182    

2025-05-02 1/3



C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:228    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:196    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:196    

C:/Aptana RadRails/ailleurs/redmine/app/models/issue.rb:554    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/associations/association_proxy.rb:215 

   

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/associations/association_proxy.rb:215 

   

C:/Aptana RadRails/ailleurs/redmine/app/models/issue_relation.rb:111    

C:/Aptana RadRails/ailleurs/redmine/app/models/issue.rb:857    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/associations/association_proxy.rb:215 

   

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/associations/association_proxy.rb:215 

   

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/associations/association_collection.rb

:392    

C:/Aptana RadRails/ailleurs/redmine/app/models/issue.rb:856    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:178    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:178    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:166    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:93    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:92    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:92    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:276    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/callbacks.rb:344    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/callbacks.rb:251    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/base.rb:2577    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/validations.rb:1090    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/dirty.rb:79    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:229    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:229    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:182    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:228    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:196    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:196    

C:/Aptana RadRails/ailleurs/redmine/app/models/issue.rb:813    

C:/Aptana RadRails/ailleurs/redmine/app/models/issue.rb:777    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:178    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:178    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:166    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:93    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:92    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:92    

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-2.3.11/lib/active_support/callbacks.rb:276    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/callbacks.rb:344    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/callbacks.rb:251    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/base.rb:2577    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/validations.rb:1090    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/dirty.rb:79    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:229    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:229    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:182    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:228    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:196    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:196    

C:/Aptana RadRails/ailleurs/redmine/app/models/issue.rb:611    

C:/Ruby187/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/transactions.rb:182    

C:/Aptana RadRails/ailleurs/redmine/app/models/issue.rb:593    

C:/Aptana RadRails/ailleurs/redmine/app/controllers/issues_controller.rb:175    

blablabla...

#4 - 2013-03-17 16:23 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.3.0

- Resolution set to Fixed

Fixed in r11641.

#5 - 2013-03-19 19:40 - Jean-Philippe Lang

- Status changed from Resolved to Closed

2025-05-02 2/3

https://www.redmine.org/projects/redmine/repository/svn/revisions/11641


Merged.
